Mailinglist Archive: opensuse (1690 mails)

< Previous Next >
[opensuse] [SOLVED] Re: [opensuse-kde3] Compiz on 11.4 with kde3? Anybody? RPMs from where?
On 10/28/2011 02:11 PM, Ilya Chernykh wrote:
On Friday 28 October 2011 22:14:03 David C. Rankin wrote:

Did you have to modify your xorg config to get compiz running?

No. Do other Python applications work well?

Well, honestly, I don't know. I presume they are all working OK, because I
have never seen this error before and -- surely opensuse 11.4 has more python
based apps than just fusion-icon and compizconfig-settings-manager.... ccsm
opens fine, but as soon as I click on one of the widgets (i.e. "General
Options"), then I get the python errors.

Something wrong with versions of installed
packages. Try to remove extra packages and then to reinstall the rest.

Also check the following bugreport:

https://bugzilla.novell.com/show_bug.cgi?id=705634


Ilya,

Thanks! I got it working!

http://www.3111skyline.com/dl/suse/11.4/compiz/screenshot.jpg

The problem was a mixed version that I didn't discover until I went to remove everything and found the dependency:

[23:54 alchemy:/home/david/suse/114/rpm/compiz] # rpm -e compiz compiz-bcop compiz-branding-openSUSE compiz-branding-SLE compiz-branding-upstream compizconfig-settings-manager compiz-devel compiz-emerald compiz-emerald-devel compiz-kde3 compiz-kde3-debuginfo compiz-plugin-photowheel compiz-plugins-main compiz-plugins-unsupported fusion-icon fusion-icon-gtk fusion-icon-qt3 libcompizconfig python-compizconfig
error: Failed dependencies:
python-compizconfig is needed by (installed)
python-ccm-0.9.2.1-4.1.noarch
^^^^^^

I removed everything and then reinstalled:

compiz-0.8.8-7.1.x86_64
compiz-branding-openSUSE-0.8.8-7.1.x86_64
compizconfig-settings-manager-0.8.4-5.2.noarch
compiz-emerald-0.8.8-11.1.x86_64
compiz-kde3-0.8.8-7.1.x86_64
compiz-plugin-photowheel-0.8.6.git-3.1.x86_64
compiz-plugins-extra-0.8.8-6.8.x86_64
compiz-plugins-main-0.8.8-4.3.x86_64
compiz-plugins-unsupported-0.8.8-6.8.x86_64
fusion-icon-0.1-4.1.noarch
fusion-icon-gtk-0.1-4.1.noarch
fusion-icon-qt3-0.1-4.1.noarch
libcompizconfig-0.8.8-4.1.x86_64
python-compizconfig-0.8.4-6.1.x86_64

emerald is working as well. Still a bit of xorg config needed, performance is a bit slow, but I think I can re-enable the extensions and get a bit better performance. Great stuff - thanks again!


--
David C. Rankin, J.D.,P.E.
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups